﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace _328456_TreeViewStyle
{
	public class MyViewModel
	{
		public MyViewModel()
		{
			this.Items = new ObservableCollection<DataItem>();

			for (int i = 0; i < 1; i++)
			{
				DataItem item = new DataItem() { Header = String.Format("Item {0}", i) };
				for (int j = 0; j < 5; j++)
				{
					DataItem child = new DataItem() { Header = String.Format("Item {0}.{1}", i,j) };
					for (int k = 0; k < 5; k++)
					{
						child.Children.Add(new DataItem() { Header = String.Format("Item {0}.{1}.{2}", i, j,k) });
					}
					item.Children.Add(child);
				}

				this.Items.Add(item);
			}
		}
		public ObservableCollection<DataItem> Items { get; set; }

	}
}
